Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.transform
Class CrookedLineTransformer

    java.lang.Object
      samples.preview_new_graphdraw.transform.CrookedLineTransformer

All Implemented Interfaces:
  LayoutTransformer

public class CrookedLineTransformer
extends Object
implements LayoutTransformer

Author:
  danyelf

Constructor Summary
`CrookedLineTransformer()`

Method Summary
`void` | `adjustSize(Dimension d)` Adjusts this transformer to be working in this size a space
`Coordinates` | `invert(Coordinates in)` Since CrookedLine doesn't modify the coordinates, neither does this.
`boolean` | `supportsInvert()` This method allows inversion, by doing nothing.
`EmittedLayout` | `transform(EmittedLayout el)` Transforms the given layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrookedLineTransformer

    public CrookedLineTransformer()

Method Detail

### adjustSize

    public void adjustSize(Dimension d)

  Description copied from interface: `LayoutTransformer`
  Adjusts this transformer to be working in this size a space

  Specified by:
    `adjustSize` in interface `LayoutTransformer`
  See Also:
    `LayoutTransformer.adjustSize(java.awt.Dimension)`

### transform

    public EmittedLayout transform(EmittedLayout el)

  Description copied from interface: `LayoutTransformer`
  Transforms the given layout. May (but needn't) return the same layout object, albeit somewhat stomped-upon.

  Specified by:
    `transform` in interface `LayoutTransformer`
  See Also:
    `LayoutTransformer.transform(samples.preview_new_graphdraw.EmittedLayout)`

### supportsInvert

    public boolean supportsInvert()

  This method allows inversion, by doing nothing.

  Specified by:
    `supportsInvert` in interface `LayoutTransformer`
  Returns:
    true if the layout can be inverted.
  See Also:
    `LayoutTransformer.supportsInvert()`

### invert

    public Coordinates invert(Coordinates in)

  Since CrookedLine doesn't modify the coordinates, neither does this.

  Specified by:
    `invert` in interface `LayoutTransformer`
  Parameters:
    `in` -
  See Also:
    `LayoutTransformer.invert(samples.preview_new_graphdraw.Coordinates)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD